import request from '@/utils/request'

// 查询话术模板列表
export function listTemplate(query) {
  return request({
    url: '/system/scriptTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询话术模板详细
export function getTemplate(id) {
  return request({
    url: '/system/scriptTemplate/' + id,
    method: 'get'
  })
}

// 新增话术模板
export function addTemplate(data) {
  return request({
    url: '/system/scriptTemplate',
    method: 'post',
    data: data
  })
}

// 修改话术模板
export function updateTemplate(data) {
  return request({
    url: '/system/scriptTemplate',
    method: 'put',
    data: data
  })
}

// 删除话术模板
export function delTemplate(id) {
  return request({
    url: '/system/scriptTemplate/' + id,
    method: 'delete'
  })
}
